Page MenuHomePhabricator

Enhance the existing article description suggested edit APIs to use the new approach used by the image caption suggested edit APIs
Closed, ResolvedPublic

Description

A better method of delivering articles in need of a description (T206504) was discovered while implementing a method of delivering images in need of a caption (T209997). This ticket covers the work of circling back and updating the article description APIs to use the new, improved method.

Event Timeline

JoeWalsh created this task.May 23 2019, 4:02 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 23 2019, 4:02 PM
LGoto triaged this task as Medium priority.May 29 2019, 3:37 PM
LGoto moved this task from Needs triage to Upcoming on the Product-Infrastructure-Team-Backlog board.

Change 515116 had a related patch set uploaded (by Mholloway; owner: Michael Holloway):
[mediawiki/services/recommendation-api@master] Suggestions endpoints for Wikidata description addition/translation

https://gerrit.wikimedia.org/r/515116

Change 515116 merged by Mholloway:
[mediawiki/services/recommendation-api@master] Suggestions endpoints for Wikidata description addition/translation

https://gerrit.wikimedia.org/r/515116

Mentioned in SAL (#wikimedia-operations) [2019-06-20T17:22:48Z] <mholloway-shell@deploy1001> Started deploy [recommendation-api/deploy@7dc63ab]: Deploy Suggested Edits endpoints (T209997, T224233)

Mentioned in SAL (#wikimedia-operations) [2019-06-20T17:25:43Z] <mholloway-shell@deploy1001> Finished deploy [recommendation-api/deploy@7dc63ab]: Deploy Suggested Edits endpoints (T209997, T224233) (duration: 02m 55s)

Mholloway closed this task as Resolved.Jul 8 2019, 3:27 PM